1. Gumption LLC
  2. substrate
Issue #13 resolved

Check for ipython version

Thomas Bohmbach, Jr.
created an issue

Check for ipython version since imports are different for 0.10 and 0.11

Comments (3)

  1. Brian Michelich

    shell and rshell will try to import the < 0.11 path, if that fails it tries the > 0.10 path.

    An option would be to check for the version and be more explicit:

    In [5]: import IPython In [6]: IPython.version Out[6]: '0.10'

    0.11 requires py2.6 or later, changed how ipython is embedded.

  2. Log in to comment